<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventApprovalDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (Schema::hasTable('approval_data')) {
            return;
        }

        Schema::create(
            'approval_data',
            function (Blueprint $table) {
                $table->increments('id');
                $table->unsignedInteger('event_id');
                $table->foreign('event_id')
                    ->references('id')
                    ->on('events')
                    ->onDelete('cascade');
                $table->unsignedInteger('approval_id');
                $table->foreign('approval_id')
                    ->references('id')
                    ->on('approvals')
                    ->onDelete('cascade');
                $table->text('key');
                $table->text('value')->nullable();
                $table->timestamps();
            }
        );

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('approval_data');
    }
}
